osg::PushPopObject Class Reference

`#include <NodeVisitor>`

## Public Member Functions

| PushPopObject (NodeVisitor *nv, const Referenced *key, Object *value)
| PushPopObject (ValueStack *valueStack, const Referenced *key, Object *value)
| ~PushPopObject ()

## Protected Attributes

ValueStack * | _valueStack
const Referenced * | _key

## Constructor & Destructor Documentation

## PushPopObject() [1/2]

osg::PushPopObject::PushPopObject | ( | NodeVisitor * | nv,
|  | const Referenced * | key,
|  | Object * | value )

inline

References _key, _valueStack, and osg::NodeVisitor::getOrCreateValueStack().

## PushPopObject() [2/2]

osg::PushPopObject::PushPopObject | ( | ValueStack * | valueStack,
|  | const Referenced * | key,
|  | Object * | value )

inline

References _key, and _valueStack.

## ~PushPopObject()

osg::PushPopObject::~PushPopObject | ( |  | ) |

inline

References _key, and _valueStack.

## Member Data Documentation

## _key

const Referenced* osg::PushPopObject::_key

protected

Referenced by PushPopObject(), PushPopObject(), and ~PushPopObject().

## _valueStack

ValueStack* osg::PushPopObject::_valueStack

protected

Referenced by PushPopObject(), PushPopObject(), and ~PushPopObject().

The documentation for this class was generated from the following file:

- NodeVisitor